ODF2EPUB(1)

NAME
odf2epub - Convert ODF to an ePub ebook

SYNOPSIS

odf2epub [-p] [-o outputfile] [-c cover_image] path

DESCRIPTION

odf2epub is a program that will create an ebook (.epub) from the input file and will write the ebook to stdout or a file specified by -o. "Path" is assumed to be an OpenDocument file of text, spreadsheet or presentation type.

If the document doesn't have a title in the properties, then the first heading of any level is used.

OPTIONS

-c, --cover
    The -c argument add a cover image to the EPUB file. Make sure the cover image itself is scaled to less than 1000px in width and height. Best practice is to use an image in JPG or PNG format at 600 pixels wide by 800 pixels in height.

-p, --plain
    The -p flag will generate HTML without CSS.

-o, --output
    Specify the output file with this flag. "-" implies standard out.

EXAMPLE

    odf2epub -o example.epub odf-file.odt

BUGS

The EPUB format has the following limitations when running on a mobile device. If these limits are not adhered to, EPUB files might not work on mobile devices. Image Size: 10MB uncompressed. Individual XHTML file sizes: 300k uncompressed/100k compressed. Odf2epub does not ensure that these limits are adhered to.

SEE ALSO

odf2xhtml(1)

AUTHOR

Søren Roug
    Original author